Uploaded image for project: 'ShrinkWrap'
  1. ShrinkWrap
  2. SHRINKWRAP-486

Maven Enforcer Dependency Convergence error

    XMLWordPrintable

Details

    • Feature Request
    • Status: Open (View Workflow)
    • Minor
    • Resolution: Unresolved
    • None
    • None
    • ext-resolver
    • None

    Description

      I've got this error when running Maven Enforcer Dependency Convergence rule:

      [WARNING] Rule 1: org.apache.maven.plugins.enforcer.DependencyConvergence failed with message:
      Failed while enforcing releasability the error(s) are [
      Dependency convergence error for org.apache.maven:maven-model-builder:3.2.1 paths to dependency are:
      +-org.springframework.boot:spring-boot-starter-arquillian:1.1.2.BUILD-SNAPSHOT
        +-org.jboss.arquillian.extension:arquillian-service-integration-spring-inject:1.0.0.Beta3
          +-org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-impl-maven:2.1.0
            +-org.apache.maven:maven-aether-provider:3.2.1
              +-org.apache.maven:maven-model-builder:3.2.1
      and
      +-org.springframework.boot:spring-boot-starter-arquillian:1.1.2.BUILD-SNAPSHOT
        +-org.jboss.arquillian.extension:arquillian-service-integration-spring-inject:1.0.0.Beta3
          +-org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-impl-maven:2.1.0
            +-org.apache.maven:maven-model-builder:3.1.1
      , 
      Dependency convergence error for org.apache.maven:maven-repository-metadata:3.2.1 paths to dependency are:
      +-org.springframework.boot:spring-boot-starter-arquillian:1.1.2.BUILD-SNAPSHOT
        +-org.jboss.arquillian.extension:arquillian-service-integration-spring-inject:1.0.0.Beta3
          +-org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-impl-maven:2.1.0
            +-org.apache.maven:maven-aether-provider:3.2.1
              +-org.apache.maven:maven-repository-metadata:3.2.1
      and
      +-org.springframework.boot:spring-boot-starter-arquillian:1.1.2.BUILD-SNAPSHOT
        +-org.jboss.arquillian.extension:arquillian-service-integration-spring-inject:1.0.0.Beta3
          +-org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-impl-maven:2.1.0
            +-org.apache.maven:maven-repository-metadata:3.1.1
      ]
      

      Apparently there are two depedencies that were declared in two different versions.

      Could you think of any workaround for the current Arquiilain version?

      Attachments

        Activity

          People

            Unassigned Unassigned
            jmnarloch Jakub Narloch (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated: